{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'delete' %}
        <div class="alert alert-success" role="alert">
            The bookshelf was removed successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while deleting the bookshelf, contact the administrator!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">bookshelf</h5>
        <div class="card-body">
            <h5 class="card-title">Delete a bookshelf from the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'delete_bookshelf' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% for bookshelf in bookshelfs %}
                        {% if forloop.first %}
                            <label for="inputBookshelf_id" class="form-label">Bookshelf id</label>
                            <select id="inputBookshelf_id" name="inputBookshelf_id" class="form-select mb-3">
                            <option selected>{{ bookshelf.id }}</option>
                        {% else %}
                            <option>{{ bookshelf.id }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no bookshelves to Delete</h1>
                    {% endfor %}
                    </select>
                </div>
                {% if bookshelfs %}
                    <button type="submit" class="btn btn-danger">Delete</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'home' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
